<div class="columns" *ngIf="setting.type === SettingType.BOOLEAN">
  <div class="column col-4">
    <label class="form-label">{{ setting.label }}</label>
  </div>
  <div class="column col-8">
    <div class="form-group">
      <label class="form-radio form-inline">
        <input type="radio" [checked]="getSetting()" (click)="setSetting(true)"><i class="form-icon"></i> True
      </label>
      <label class="form-radio form-inline">
        <input type="radio" [checked]="!getSetting()" (click)="setSetting(false)"><i class="form-icon"></i> False
      </label>
    </div>
  </div>
</div>

<div class="columns" *ngIf="setting.type === SettingType.OPTION">
  <div class="column col-4">
    <label class="form-label">{{ setting.label }}</label>
  </div>
  <div class="column col-8">
    <div class="form-group">
      <label class="form-radio form-inline"  *ngFor="let option of setting.options">
        <input type="radio" [checked]="getSetting() === option.value" (click)="setSetting(option.value)"><i class="form-icon"></i> {{ option.label }}
      </label>
    </div>
  </div>
</div>
